package com.hzs.common.core.enums;

import com.hzs.common.core.constant.SmsConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description:
 * @Author: yuhui
 * @Time: 2024/9/24 10:43
 * @Classname: ESortStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ESortStatus {

    /**
     * 置顶
     */
    TOP_UP(1, "置顶"),

    /**
     * 无
     */
    NOT_HAVE(0,  "无"),

    /**
     * 置底
     */
    BOTTON_UP(-1, "置底");


    /**
     * 实际值（数字型）
     */
    private final int intValue;
    /**
     * 显示标签
     */
    private final String label;

    /**
     * 根据值，返回label
     *
     * @param intVale
     * @return
     */
    public static String getLabelByIntValue(int intVale) {
        for (ESortStatus value : ESortStatus.values()) {
            if (intVale == value.intValue){
                return value.label;
            }
        }
        return null;
    }
}
